---
title: "Search for companies"
slug: "search-for-companies"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
canonical: "docs.skillable.com/search-for-companies"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for companies

Get/SearchCompanies

Allows you to search for companies.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parameterspageIndexinteger (int32) 

A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results).

pageSizeinteger (int32) 

Indicates how many results you want per page. if not supplied, a default value of 100 is used.

sortstring

The value you want to sort by. If not supplied, a default value of "Name" will be used. You can append " DESC" after the sort value to sort descending. For example, "Name DESC" would sort by name in descending order. Possible values:

- Name
- OrganizationName
- ExternalId
- Created
- LastModified

namestring

An optional parameter used to filter for companies by name. When specified, only companies that have names that contain or match this value will be returned.

externalIdstring

An optional parameter used to filter for a company by external ID. Specifying the unique External ID paramter value will only ever return a single matching result.

organizationIdinteger (int32) 

An optional parameter used to filter companies by the associated organization id. When specified, only the companies associated with this organization will be returned.

createdAfterstring

An optional parameter used to filter for companies created after a specified date. When used in conjunction with the "createdBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

createdBeforestring

An optional parameter used to filter for companies created before a specified date. When used in conjunction with the "createdAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

lastModifiedAfterstring

An optional parameter used to filter for companies modified after a specified date. When used in conjunction with the "lastModifiedBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

lastModifiedBeforestring

An optional parameter used to filter for companies modified before a specified date. When used in conjunction with the "lastModifiedAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='c3d9685c-7170-4101-bd29-c56335bbfe35'>application/json</option>
</select>Expand Allobject  TotalCountinteger  (int32)    

The total number of results that match the search conditions, not all of which may be in the current result set.

Example1
TotalPagesinteger  (int32)    

The total number of result pages that match the search conditions.

Example1
Companies Array of object (Companies)   

See Companies results.

object  Idinteger  (int32)    

The company's unique identifier.

Example123456789
OrganizationIdinteger  (int32)    

The Id of the Organization associated with this company

Example951624
OrganizationNamestring    

The Name of the Organization associated with this company

ExampleABC Organization
Namestring    

The Name of the company

ExampleABC Training Company
Descriptionstring   | null  

The Description of the company

ExampleThe Description of the company
ExternalIdstring   | null  

The External Id of the company

Examplecmp123456
Address1string   | null  

The first Address line for a Company

ExampleSome street
Address2string   | null  

The second Address line for a Company

ExampleSome avenue
Citystring   | null  

The City for a Company

ExampleGrand Rapids
Statestring   | null  

The State for a Company (recommended use standard 2-character abbreviation, limit 50 characters)

ExampleMI
Zipstring   | null  

The Zip code for a Company

Example123456
Countrystring   | null  

The Country for a Company (recommended use standard 2-character abbreviation, limit 80 characters)

ExampleUS
Emailstring   | null  

The Email address for a Company

Examplesomeemail@abccompany.com
Phonestring   | null  

The Phone number for a Company

Example123-456-7890
Phone2string   | null  

The alternate Phone number for a Company

Example555-654-9870
Faxstring   | null  

The Fax number for a Company

Example555-555-5555
WebSiteUrlstring   | null  

The Web Site Url for a Company

Examplehttps://sampleurl.com
Createdinteger  (int64)    

When the Company was created. Provided in Unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1449496820
LastModifiedinteger  (int64)    

When the Company was last modified. Provided in Unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Example1584035105

Statusinteger  (int32)    

Indicates the status of the API request.

0 = Success 10 = Error 20 = Not found 30 = Invalid integration key

Example10
Errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).
